# tty_termNode Struct Reference

`#include <tty.h>`

## Data Fields

pidType | owner
char | stdin [512]
int | stdinSize
char * | tty_buffer
uInt8 | tty_colour
char * | tty_pointer
uInt16 | tty_x
uInt16 | tty_y

## Detailed Description

Definition at line 37 of file tty.h.

## Field Documentation

pidType tty_termNode::owner

Definition at line 43 of file tty.h.

Referenced by execFile(), and fork_copyProcess().

char tty_termNode::stdin[512]

Definition at line 44 of file tty.h.

Referenced by getch(), and keyboardHandler().

int tty_termNode::stdinSize

Definition at line 45 of file tty.h.

Referenced by getch(), and keyboardHandler().

char* tty_termNode::tty_buffer

Definition at line 38 of file tty.h.

Referenced by tty_change(), and tty_init().

uInt8 tty_termNode::tty_colour

Definition at line 40 of file tty.h.

Referenced by tty_init(), and tty_print().

char* tty_termNode::tty_pointer

Definition at line 39 of file tty.h.

Referenced by tty_change(), tty_init(), and tty_print().

uInt16 tty_termNode::tty_x

Definition at line 41 of file tty.h.

Referenced by backSpace(), tty_change(), tty_init(), and tty_print().

uInt16 tty_termNode::tty_y

Definition at line 42 of file tty.h.

Referenced by backSpace(), tty_change(), tty_init(), and tty_print().

The documentation for this struct was generated from the following file:

- src/sys/include/ubixos/tty.h